Page MenuHomePhabricator

convertLqtPageOnLocalWiki.php should handle empty/invalid title
Closed, ResolvedPublic

Description

Currently it throws:

[2015-07-09 23:22:14] Starting LQT conversion of page

Catchable fatal error: Argument 1 passed to Flow\Import\Converter::convert() must be an instance of Title, null given, called in /mnt/srv/mediawiki-staging/php-master/extensions/Flow/includes/Import/Converter.php on line 108 and defined in /mnt/srv/mediawiki-staging/php-master/extensions/Flow/includes/Import/Converter.php on line 123

Hit this when accidentally had a blank line at the end of the file.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 11:27 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 9 2015, 11:27 PM
Catrope triaged this task as Medium priority.Aug 5 2015, 11:16 PM
Catrope set Security to None.
Krinkle closed this task as Resolved.Oct 27 2018, 6:53 PM
Krinkle added a subscriber: Krinkle.

It seems the latest version of this script does not accept an input file with line breaks. Instead, it accepts a single title via the srcpage option. It can still break if invoked once by hand with an invalid parameter, which could be given better validation/error message, but it no longer aborts half-way due to an extra empty line in a file or some such.

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 27 2018, 6:53 PM